org.eclipse.incquery.viewmodel.traceability.impl

## Class TraceabilityPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.incquery.viewmodel.traceability.impl.TraceabilityPackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, TraceabilityPackage

      public class TraceabilityPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements TraceabilityPackage

  An implementation of the model Package.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.viewmodel.traceability.TraceabilityPackage

      `TraceabilityPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.incquery.viewmodel.traceability.TraceabilityPackage

      `eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, TRACE, TRACE__ID, TRACE__OBJECTS, TRACE__PARAMS, TRACE__TARGETS, TRACE_FEATURE_COUNT, TRACE_OPERATION_COUNT, TRACEABILITY, TRACEABILITY__ID, TRACEABILITY__TRACES, TRACEABILITY_FEATURE_COUNT, TRACEABILITY_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EAttribute` | `getTrace_Id()`
    `org.eclipse.emf.ecore.EAttribute` | `getTrace_Objects()`
    `org.eclipse.emf.ecore.EReference` | `getTrace_Params()`
    `org.eclipse.emf.ecore.EReference` | `getTrace_Targets()`
    `org.eclipse.emf.ecore.EClass` | `getTrace()`
    `org.eclipse.emf.ecore.EAttribute` | `getTraceability_Id()`
    `org.eclipse.emf.ecore.EReference` | `getTraceability_Traces()`
    `org.eclipse.emf.ecore.EClass` | `getTraceability()`
    `TraceabilityFactory` | `getTraceabilityFactory()`
    `static TraceabilityPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eURIFragmentSegment, getEAnnotation, getEAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static TraceabilityPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `TraceabilityPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `TraceabilityPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

    - #### getTraceability

          public org.eclipse.emf.ecore.EClass getTraceability()

      Specified by:
        `getTraceability` in interface `TraceabilityPackage`
      Returns:
        the meta object for class 'Traceability'.
      See Also:
        `Traceability`

    - #### getTraceability_Traces

          public org.eclipse.emf.ecore.EReference getTraceability_Traces()

      Specified by:
        `getTraceability_Traces` in interface `TraceabilityPackage`
      Returns:
        the meta object for the containment reference list 'Traces'.
      See Also:
        `Traceability.getTraces()`, `TraceabilityPackage.getTraceability()`

    - #### getTraceability_Id

          public org.eclipse.emf.ecore.EAttribute getTraceability_Id()

      Specified by:
        `getTraceability_Id` in interface `TraceabilityPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `Traceability.getId()`, `TraceabilityPackage.getTraceability()`

    - #### getTrace

          public org.eclipse.emf.ecore.EClass getTrace()

      Specified by:
        `getTrace` in interface `TraceabilityPackage`
      Returns:
        the meta object for class 'Trace'.
      See Also:
        `Trace`

    - #### getTrace_Targets

          public org.eclipse.emf.ecore.EReference getTrace_Targets()

      Specified by:
        `getTrace_Targets` in interface `TraceabilityPackage`
      Returns:
        the meta object for the reference list 'Targets'.
      See Also:
        `Trace.getTargets()`, `TraceabilityPackage.getTrace()`

    - #### getTrace_Id

          public org.eclipse.emf.ecore.EAttribute getTrace_Id()

      Specified by:
        `getTrace_Id` in interface `TraceabilityPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `Trace.getId()`, `TraceabilityPackage.getTrace()`

    - #### getTrace_Params

          public org.eclipse.emf.ecore.EReference getTrace_Params()

      Specified by:
        `getTrace_Params` in interface `TraceabilityPackage`
      Returns:
        the meta object for the reference list 'Params'.
      See Also:
        `Trace.getParams()`, `TraceabilityPackage.getTrace()`

    - #### getTrace_Objects

          public org.eclipse.emf.ecore.EAttribute getTrace_Objects()

      Specified by:
        `getTrace_Objects` in interface `TraceabilityPackage`
      Returns:
        the meta object for the attribute list 'Objects'.
      See Also:
        `Trace.getObjects()`, `TraceabilityPackage.getTrace()`

    - #### getTraceabilityFactory

          public TraceabilityFactory getTraceabilityFactory()

      Specified by:
        `getTraceabilityFactory` in interface `TraceabilityPackage`
      Returns:
        the factory that creates the instances of the model.

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.